Nimbu Developer Docs
ReferencePages

Fetch page schema

GET
/pages/{page_id}/schema

Returns the editable schema describing a page's items and repeatable sections.

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Path Parameters

page_id*string

Page identifier or fullpath

Response Body

application/json

application/json

curl -X GET "https://example.com/pages/string/schema"
{
  "template": "string",
  "available_blocks": [
    {}
  ],
  "current_structure": [
    {}
  ],
  "select_options": {}
}
{
  "message": "string",
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}